/*
 * Copyright (c) 2005,2015 CNRS/LAAS
 *
 * Permission to use, copy, modify, and distribute this software for any
 * purpose with or without fee is hereby granted, provided that the above
 * copyright notice and this permission notice appear in all copies.
 *
 * THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
 * WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
 * ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
 * WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
 * ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
 * OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
 */
#ifndef _NEO_H
#define _NEO_H

#ifdef __cplusplus
extern "C" {
#endif

typedef struct NEO_STR {
	int can;
	struct CAN_GYRO_STR *gyro;
	struct CAN_IO_STR *io;
	struct CAN_US_STR *us;
	struct CAN_MOTORS_STR *motors;
	pthread_t readTask;
	int dying;
} NEO_STR;

extern NEO_STR *neoInit(const char *);
extern void neoEnd(NEO_STR *);

#ifdef __cplusplus
}
#endif
#endif
